addtree {clue} | R Documentation

## Additive Tree Distances

### Description

Objects representing additive tree distances.

### Usage

    as.cl_addtree(x)

### Arguments

`x` | an R object representing additive tree distances.

### Details

Additive tree distances are object dissimilarities d satisfying the so-called additive tree conditions, also known as four-point conditions d_{ij} + d_{kl} ≤ \max(d_{ik} + d_{jl}, d_{il} + d_{jk}) for all quadruples i, j, k, l. Equivalently, for each such quadruple, the largest two values of the sums d_{ij} + d_{kl}, d_{ik} + d_{jl}, and d_{il} + d_{jk} must be equal. Centroid distances are additive tree distances where the inequalities in the four-point conditions are strengthened to equalities (such that all three sums are equal), and can be represented as d_{ij} = g_i + g_j, i.e., as sums of distances from a “centroid”. See, e.g., Barthélémy and Guénoche (1991) for more details on additive tree distances.

`as.cl_addtree` is a generic function. Its default method can handle objects representing ultrametric distances and raw additive distance matrices. In addition, there is a method for coercing objects of class `"phylo"` from package ape.

Functions `ls_fit_addtree` and `ls_fit_centroid` can be used to find the additive tree distance or centroid distance minimizing least squares distance (Euclidean dissimilarity) to a given dissimilarity object.

There is a `plot` method for additive tree distances.

### Value

An object of class `"cl_addtree"` containing the additive tree distances.

### References

J.-P. Barthélémy and A. Guénoche (1991). Trees and proximity representations. Chichester: John Wiley & Sons. ISBN 0-471-92263-3.

[Package clue version 0.3-57 Index]